package com.guadou.cs_router.app

import android.app.Activity
import com.alibaba.android.arouter.facade.template.IProvider


interface IAppComponentServer : IProvider {

    fun initSMS(): IAppComponentServer

    //Firebase短信服务-发送短信
    fun sendSMSCode(
        activity: Activity, phone: String,
        sendAction: ((isSuccess: Boolean) -> Unit)?,
        verifyAction: ((isSuccess: Boolean) -> Unit)?
    )

    //Firebase短信服务-验证短信
    fun verifySMSCode(activity: Activity, code: String, verifyAction: ((isSuccess: Boolean) -> Unit)?)

    fun gotoLoginPage()
}
